Bug 1468571 - gdal-2.1.3-4.fc27 FTBFS: line 79: fg: no job control
gdal-2.1.3-4.fc27 FTBFS: line 79: fg: no job control
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 08:23 EDT by Petr Pisar
Modified: 2017-09-11 15:02 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 15:02:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-07 08:23:12 EDT
gdal-2.1.3-4.fc27 fails to build in F27:

+ %add_maven_depmap JPP-gdal.pom gdal.jar
/var/tmp/rpm-tmp.1EjBuN: line 79: fg: no job control
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.1EjBuN (%install)

A difference between working and failing build root is:

        libcurl-devel 	7.54.1-1.fc27 	> 	7.54.1-2.fc27
	javapackages-tools 	4.7.0-16.fc27 	> 	5.0.0-2.fc27
	glibc 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	perl-Encode 	4:2.90-9.fc27 	> 	4:2.90-10.fc27
	glibc-devel 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	libcurl 	7.54.1-1.fc27 	> 	7.54.1-2.fc27
	nss-softokn 	3.30.2-2.fc27 	> 	3.31.0-2.fc27
	glibc-common 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	libffi 	3.1-10.fc26 	> 	3.1-11.fc27
	copy-jdk-configs 	2.2-2.fc26 	> 	2.2-3.fc27
	nspr 	4.14.0-2.fc27 	> 	4.15.0-1.fc27
	nss-util 	3.30.2-3.fc27 	> 	3.31.0-2.fc27
	libcrypt-nss 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	glibc-all-langpacks 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	glibc-headers 	2.25.90-6.fc27 	> 	2.25.90-7.fc27
	curl 	7.54.1-1.fc27 	> 	7.54.1-2.fc27
	nss-softokn-freebl 	3.30.2-2.fc27 	> 	3.31.0-2.fc27
	mesa-libGL 	17.1.2-2.fc27 	> 	17.1.3-2.fc27
	perl-encoding 	4:2.19-9.fc27 	> 	4:2.19-10.fc27
	mesa-libglapi 	17.1.2-2.fc27 	> 	17.1.3-2.fc27
	python3-six 	1.10.0-8.fc26 	< 	
	python3-lxml 	3.7.2-2.fc26 	< 	
	mesa-libgbm 	17.1.2-2.fc27 	> 	17.1.3-2.fc27
	system-python 	3.6.1-7.fc27 	< 	
	python3-beautifulsoup4 	4.6.0-1.fc27 	< 	
	mesa-libEGL 	17.1.2-2.fc27 	> 	17.1.3-2.fc27
	python3-html5lib 	1:0.999-13.fc26 	< 	
	python3-javapackages 	4.7.0-16.fc27 	< 	
	libxslt 	1.1.29-1.fc27 	< 	
	python3-cssselect 	0.9.2-4.fc26 	< 	

A similar bug #1466116 in thirft package was fixes by build-requiring javapackages-local.
Comment 1 Orion Poplawski 2017-07-07 10:04:19 EDT
%add_maven_depmap is deprecated.  It is in javapackages-local, but it would be better to fix it properly - see https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/R3KZ7VI5DPCMCELFIVJQ4AXB2WQED35C/
Comment 2 Jan Kurik 2017-08-15 03:17:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Rex Dieter 2017-09-11 15:02:24 EDT
https://koji.fedoraproject.org/koji/buildinfo?buildID=946980

succeeding now (or at least did).

New problems are being tracked separately

Note You need to log in before you can comment on or make changes to this bug.